Subject: Re: [GSoC][PATCH v3] t: migrate t0110-urlmatch-normalization to the new framework

From: Junio C Hamano <[email-masked]>
Date: Wed, 14 Aug 2024 09:52:36 -0700

Ghanshyam Thakkar <[email-masked]> writes:

> And since we can construct strings with arbitrary bytes in C, let's
> also remove the test files which contain URLs with arbitrary bytes in
> the 't/t0110' directory and instead embed those URLs in the unit test
> code itself.

Yeah, that was what I meant to say.  As long as we do not have an
embedded NUL in these test pattern strings, "const char *" literals
are fine (and if we need to use embedded NUL, we'd need <ptr,len>).

Thanks.  Will queue.